extends Node3D
@onready var hammer_in_viewport: Node3D = $"../Character/Head/Hammer In Viewport"
@onready var hammer_shelf_vis: Node3D = $Hammer

var isHammerInViewport:bool = false

func _input(event: InputEvent) -> void:
	if event.is_action_pressed("hammer_toggle"):
		isHammerInViewport = !isHammerInViewport
		if isHammerInViewport:
			hammer_in_viewport.visible = true
			hammer_shelf_vis.visible = false
		else:
			hammer_in_viewport.visible = false
			hammer_shelf_vis.visible = true
			
